Update Allocation

View as Markdown

Update an existing Allocation

Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix. Provider must own the Allocation.

Tenant management of Allocation is not supported in MVP.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
allocationIdstringRequiredformat: "uuid"
ID of the Allocation

Request

This endpoint expects an object.
namestring or nullOptional2-256 characters
Update name of the Allocation
descriptionstring or nullOptional
Update description of the Allocation

Response

OK
idstringOptionalRead-onlyformat: "uuid"
ID of the Allocation
namestringOptional2-256 characters
Concise and descriptive name of the Allocation
descriptionstring or nullOptional
Detailed description of the Allocation
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider that created the Allocation
tenantIdstringOptionalformat: "uuid"
ID of the Tenant that received the Allocation
siteIdstringOptionalformat: "uuid"
ID of the Site where resources are allocated
statusenumOptional
Status of the Allocation
statusHistorylist of objectsOptionalRead-only
Chronological status history for the Allocation
allocationConstraintslist of objectsOptional
List of Allocation Constraints for the Allocation
createddatetimeOptionalRead-only

Date/time when the Allocation was created

updateddatetimeOptionalRead-only

Date/time when the Allocation was last updated

Errors

400
Bad Request Error
403
Forbidden Error